package dev.flutter.instrumentation_adapter;

import android.os.Build.VERSION_CODES;
import android.support.annotation.Nullable;
import android.support.annotation.RequiresApi;
import java.util.Objects;

public class TestResult {

  private String status;
  @Nullable private String name;
  @Nullable private String error;

  public TestResult(String status) {
    this.status = status;
  }

  public TestResult(String status, String name) {
    this.status = status;
    this.name = name;
  }

  public TestResult(String status, String name, String error) {
    this.status = status;
    this.name = name;
    this.error = error;
  }

  public String getStatus() {
    return status;
  }

  public String getName() {
    return name;
  }

  public String getError() {
    return error;
  }

  @RequiresApi(api = VERSION_CODES.KITKAT)
  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    TestResult result = (TestResult) o;
    return Objects.equals(status, result.status)
        && Objects.equals(name, result.name)
        && Objects.equals(error, result.error);
  }

  @RequiresApi(api = VERSION_CODES.KITKAT)
  @Override
  public int hashCode() {
    return Objects.hash(status, name, error);
  }
}